Subject: Re: bug#29522: rustc-1.16.0 broken after jemalloc updated to 5.0.1

From: [email-masked] (Ludovic Courtès)
Date: Mon, 04 Dec 2017 10:09:54 +0100

Hi,

Jelle Licht <[email-masked]> skribis:

> 2017-11-30 23:41 GMT+01:00 Adam Van Ymeren <[email-masked]>:
>
>> I haven't had time to dig in to this further, but in case anyone wants
>> to fix rustc-1.16.0, it's broken after the upgrade of jemalloc to 5.0.1.
>>
>> Reverting commit 475b99fa5cf402430aa93a40e406e854ad2ff6e4 which reverts
>> jemalloc back to 4.5.0 causes rustc to build successfully again.  It has
>> been broken for some time.
>>
>> https://hydra.gnu.org/job/gnu/master/rustc-1.16.0.x86_64-linux
>>
>>
>>
>>
> It seems that the bundled copy of jemalloc in the rustc repo is currently
> pinned at 4.5.0 partially
> because of this specific issue as well.
>
> I did find an issue on the rust GH repo [0], and it seems this also affects
> the nix-rust project,
> who seem to have the same errors as our currently failing build [1].
>
> A temporary workaround could be to have a custom version of jemalloc with
> the c++ features disabled
> by building with `--disable-cxx'. Alternatively, we could just make use of
> jemalloc 4.5.0 for rustc only
> until this is all sorted our by upstream.

Using a --disable-cxx variant of the latest jemalloc sounds preferable
to me over running an old jemalloc.

How does that sound?

Thanks,
Ludo’.